package test;

import javax.swing.JFrame;
import javax.swing.JTree;

import bk.BKNodePlacement;
import graph.LayeredGraphNode;
import graph.io.Reader;
import lib.SimpleNodePlacement;
import processor.PseudoCodeNode;
import processor.PseudoCodeProcessor;

class TestProcessor {
    
    public static void main(String[] args) throws InterruptedException {
        Reader r = new Reader( "papergraph.json" );
        LayeredGraphNode graph = r.readInputGraph();
        SimpleNodePlacement.placeNodes( graph );

        BKNodePlacement algorithm = new BKNodePlacement();
        JTree pseudoTree = new JTree();
        PseudoCodeNode tree = algorithm.createPseudocodeTree( pseudoTree );
        JFrame frame = new JFrame( "NodeShuffler" );
        PseudoCodeProcessor processor = new StepInProcessor( tree, graph, frame );
        processor.start();
        processor.join();
        processor = new StepOverProcessor( tree, graph, frame );
        processor.start();
        processor.join();
        processor = new RandomProcessor( tree, graph, frame );
        processor.start();
        processor.join();
        System.out.println( "Tests Finished." );
    }
}
